Multiple pipelines were introduced in Logstash 6.0, so unless you can upgrade you need to continue to use conditionals to separate pipelines for version 5.6 .

---